package com.tofly.ghrq_route.module.planPointRepair.domain;

import com.tofly.ghrq_route.module.trouble.domain.AuditFileBean;

import org.greenrobot.greendao.annotation.Transient;

import java.io.Serializable;
import java.util.List;

@SuppressWarnings("serial")
public class DeviceRouteData implements Serializable {

    public static final String DEVICE_ROUTE_DATA_KEY = "device_route_data";

    private String companyId;
    private String companyName;
    private String id;
    private String checkDate;
    private String address;
    private Integer createUser;
    private String createUserName;
    private String createDate;
    private String userid;
    private String delFlag;
    private String planTempPointId;
    private String childPlanId;
    private double x;
    private double y;

    /**调压柜*/
    private String runPressure;
    private String diffusePressure;
    private String workPressure;
    /**调压箱*/
    private String truncationPressure;
    /**阀井*/
    private String specification;
    private String material;
    /**阴极保护*/
    private String deviceId;
    private String standardPotential;
    private String detectionPotential;

    private String note;
    private String file;
    private int typeId;
    @Transient
    private List<ContentDTO> content;
    @Transient
    private List<Integer> contentId;
    private String contentName;
    @Transient
    private List<ContentOBJ> xjConList;
    @Transient
    private List<AuditFileBean> photos;
    @Transient
    private List<AuditFileBean> audios;

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(String checkDate) {
        this.checkDate = checkDate;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getPlanTempPointId() {
        return planTempPointId;
    }

    public void setPlanTempPointId(String planTempPointId) {
        this.planTempPointId = planTempPointId;
    }

    public String getChildPlanId() {
        return childPlanId;
    }

    public void setChildPlanId(String childPlanId) {
        this.childPlanId = childPlanId;
    }

    public double getX() {
        return x;
    }

    public void setX(double x) {
        this.x = x;
    }

    public double getY() {
        return y;
    }

    public void setY(double y) {
        this.y = y;
    }

    public String getRunPressure() {
        return runPressure;
    }

    public void setRunPressure(String runPressure) {
        this.runPressure = runPressure;
    }

    public String getDiffusePressure() {
        return diffusePressure;
    }

    public void setDiffusePressure(String diffusePressure) {
        this.diffusePressure = diffusePressure;
    }

    public String getWorkPressure() {
        return workPressure;
    }

    public void setWorkPressure(String workPressure) {
        this.workPressure = workPressure;
    }

    public String getTruncationPressure() {
        return truncationPressure;
    }

    public void setTruncationPressure(String truncationPressure) {
        this.truncationPressure = truncationPressure;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material;
    }

    public String getStandardPotential() {
        return standardPotential;
    }

    public void setStandardPotential(String standardPotential) {
        this.standardPotential = standardPotential;
    }

    public String getDetectionPotential() {
        return detectionPotential;
    }

    public void setDetectionPotential(String detectionPotential) {
        this.detectionPotential = detectionPotential;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getFile() {
        return file;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public int getTypeId() {
        return typeId;
    }

    public void setTypeId(int typeId) {
        this.typeId = typeId;
    }

    public List<ContentDTO> getContent() {
        return content;
    }

    public void setContent(List<ContentDTO> content) {
        this.content = content;
    }

    public List<Integer> getContentId() {
        return contentId;
    }

    public void setContentId(List<Integer> contentId) {
        this.contentId = contentId;
    }

    public String getContentName() {
        return contentName;
    }

    public void setContentName(String contentName) {
        this.contentName = contentName;
    }

    public List<ContentOBJ> getXjConList() {
        return xjConList;
    }

    public void setXjConList(List<ContentOBJ> xjConList) {
        this.xjConList = xjConList;
    }

    public List<AuditFileBean> getPhotos() {
        return photos;
    }

    public void setPhotos(List<AuditFileBean> photos) {
        this.photos = photos;
    }

    public List<AuditFileBean> getAudios() {
        return audios;
    }

    public void setAudios(List<AuditFileBean> audios) {
        this.audios = audios;
    }

    public static class ContentDTO implements Serializable  {
        private int isTrue;
        private String name;
        private int id;

        public int getIsTrue() {
            return isTrue;
        }

        public void setIsTrue(int isTrue) {
            this.isTrue = isTrue;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }
    }

    public static class ContentOBJ implements Serializable  {
        private String id;
        private String recordId;
        private String typeId;
        private String typeName;
        private int delFlag;
        private int menuId;
        private int choose;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getRecordId() {
            return recordId;
        }

        public void setRecordId(String recordId) {
            this.recordId = recordId;
        }

        public String getTypeId() {
            return typeId;
        }

        public void setTypeId(String typeId) {
            this.typeId = typeId;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public int getDelFlag() {
            return delFlag;
        }

        public void setDelFlag(int delFlag) {
            this.delFlag = delFlag;
        }

        public int getMenuId() {
            return menuId;
        }

        public void setMenuId(int menuId) {
            this.menuId = menuId;
        }

        public int getChoose() {
            return choose;
        }

        public void setChoose(int choose) {
            this.choose = choose;
        }
    }

}
